KSelector Class Reference

`#include <kselect.h>`

Inheritance diagram for KSelector:

## Signals

void | valueChanged (int value)

## Public Member Functions

| KSelector (QWidget *parent=0, const char *name=0)
| KSelector (Orientation o, QWidget *parent=0L, const char *name=0L)
Orientation | orientation () const
QRect | contentsRect () const
void | setIndent (bool i)
bool | indent () const
void | setValue (int value)
int | value () const
void | setMinValue (int value)
int | minValue () const
void | setMaxValue (int value)
int | maxValue () const

## Protected Member Functions

virtual void | drawContents (QPainter *)
virtual void | drawArrow (QPainter *painter, bool show, const QPoint &pos)
virtual void | valueChange ()
virtual void | paintEvent (QPaintEvent *)
virtual void | mousePressEvent (QMouseEvent *e)
virtual void | mouseMoveEvent (QMouseEvent *e)
virtual void | wheelEvent (QWheelEvent *)
virtual void | virtual_hook (int id, void *data)

## Properties

int | value
int | minValue
int | maxValue

## Detailed Description

KSelector is the base class for other widgets which provides the ability to choose from a one-dimensional range of values.

An example is the KGradientSelector which allows to choose from a range of colors.

A custom drawing routine for the widget surface has to be provided by the subclass.

Definition at line 159 of file kselect.h.

## Constructor & Destructor Documentation

KSelector::KSelector | ( | QWidget * | parent = `0`,
|  | const char * | name = `0`
| ) |  |

Constructs a horizontal one-dimensional selection widget.

Definition at line 238 of file kselect.cpp.

KSelector::KSelector | ( | Orientation | o,
|  | QWidget * | parent = `0L`,
|  | const char * | name = `0L`
| ) |  |

Constructs a one-dimensional selection widget with a given orientation.

Definition at line 245 of file kselect.cpp.

## Member Function Documentation

QRect KSelector::contentsRect | ( |  | ) | const

Returns
  the rectangle on which subclasses should draw.

Definition at line 257 of file kselect.cpp.

void KSelector::drawArrow | ( | QPainter * | painter,
|  | bool | show,
|  | const QPoint & | pos
| ) |  |

protected virtual

Override this function to draw the cursor which indicates the current value.

This function is always called twice, once with argument show=false to clear the old cursor, once with argument show=true to draw the new one.

Definition at line 370 of file kselect.cpp.

void KSelector::drawContents | ( | QPainter * |  | ) |

protected virtual

Override this function to draw the contents of the control.

The default implementation does nothing.

Draw only within contentsRect().

Reimplemented in KGradientSelector, and KValueSelector.

Definition at line 367 of file kselect.cpp.

bool KSelector::indent | ( |  | ) | const

inline

Returns
  whether the indent option is set.

Definition at line 201 of file kselect.h.

int KSelector::maxValue | ( |  | ) | const

inline

Returns
  the max value.

Definition at line 237 of file kselect.h.

int KSelector::minValue | ( |  | ) | const

inline

Returns
  the min value.

Definition at line 225 of file kselect.h.

Orientation KSelector::orientation | ( |  | ) | const

inline

Returns
  the orientation of the widget.

Definition at line 184 of file kselect.h.

void KSelector::setIndent | ( | bool | i | ) |

inline

Sets the indent option of the widget to i.

This determines whether a shaded frame is drawn.

Definition at line 196 of file kselect.h.

void KSelector::setMaxValue | ( | int | value | ) |

inline

Sets the max value.

Definition at line 231 of file kselect.h.

void KSelector::setMinValue | ( | int | value | ) |

inline

Sets the min value.

Definition at line 219 of file kselect.h.

void KSelector::setValue | ( | int | value | ) |

inline

Sets the value.

Definition at line 207 of file kselect.h.

int KSelector::value | ( |  | ) | const

inline

Returns
  the value.

Definition at line 213 of file kselect.h.

void KSelector::valueChanged | ( | int | value | ) |

signal

This signal is emitted whenever the user chooses a value, e.g.

by clicking with the mouse on the widget.

The documentation for this class was generated from the following files:

- kselect.h
- kselect.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys